# OnnxRuntime: Ort::TensorTypeAndShapeInfo Struct Reference

Loading...
Searching...
No Matches
Ort::TensorTypeAndShapeInfo Struct Reference

Wrapper around OrtTensorTypeAndShapeInfo. More...

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::TensorTypeAndShapeInfo:

## Public Member Functions

| TensorTypeAndShapeInfo (std::nullptr_t)
| Create an empty TensorTypeAndShapeInfo object, must be assigned a valid one to be used.
| TensorTypeAndShapeInfo (OrtTensorTypeAndShapeInfo *p)
| Used for interop with the C API.
ConstTensorTypeAndShapeInfo | GetConst () const
Public Member Functions inherited from Ort::detail::TensorTypeAndShapeInfoImpl< OrtTensorTypeAndShapeInfo >
ONNXTensorElementDataType | GetElementType () const
| Wraps OrtApi::GetTensorElementType.
size_t | GetElementCount () const
| Wraps OrtApi::GetTensorShapeElementCount.
size_t | GetDimensionsCount () const
| Wraps OrtApi::GetDimensionsCount.
void | GetDimensions (int64_t *values, size_t values_count) const
| Wraps OrtApi::GetDimensions.
void | GetSymbolicDimensions (const char **values, size_t values_count) const
| Wraps OrtApi::GetSymbolicDimensions.
std::vector< int64_t > | GetShape () const
| Uses GetDimensionsCount & GetDimensions to return a std::vector of the shape.
Public Member Functions inherited from Ort::detail::Base< T >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()
| Base (const Base &)=delete
Base & | operator= (const Base &)=delete
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Public Types inherited from Ort::detail::TensorTypeAndShapeInfoImpl< OrtTensorTypeAndShapeInfo >
using | B = Base< OrtTensorTypeAndShapeInfo >
Public Types inherited from Ort::detail::Base< T >
using | contained_type = T
Protected Attributes inherited from Ort::detail::Base< T >
contained_type * | p_ {}

## Detailed Description

Wrapper around OrtTensorTypeAndShapeInfo.

## Constructor & Destructor Documentation

## TensorTypeAndShapeInfo() [1/2]

Ort::TensorTypeAndShapeInfo::TensorTypeAndShapeInfo | ( | std::nullptr_t |  | ) |

inlineexplicit

Create an empty TensorTypeAndShapeInfo object, must be assigned a valid one to be used.

## TensorTypeAndShapeInfo() [2/2]

Ort::TensorTypeAndShapeInfo::TensorTypeAndShapeInfo | ( | OrtTensorTypeAndShapeInfo * | p | ) |

inlineexplicit

Used for interop with the C API.

## Member Function Documentation

## GetConst()

ConstTensorTypeAndShapeInfo Ort::TensorTypeAndShapeInfo::GetConst | ( |  | ) | const

inline